'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgEmojiObjectsOutlined = function SvgEmojiObjectsOutlined(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#EmojiObjectsOutlined_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    fillRule: "evenodd",
    d: "M10.6 3.14c.47-.1.94-.14 1.4-.14 3.87 0 7 3.13 7 7 0 2.08-.91 3.95-2.36 5.23-.42.37-.64.91-.64 1.46V19c0 1.1-.9 2-2 2h-.28a1.98 1.98 0 0 1-3.44 0H10c-1.1 0-2-.9-2-2v-2.31c0-.56-.23-1.09-.66-1.47-1.74-1.55-2.7-3.95-2.22-6.56.52-2.76 2.72-4.99 5.48-5.52M10 16v1h4v-1zm0 2v1h4v-1zm5.168-4.109c.045-.052.09-.105.142-.151A4.97 4.97 0 0 0 17 10c0-2.76-2.24-5-5-5-.34 0-.68.03-1.02.1-1.93.38-3.53 1.99-3.89 3.93-.32 1.76.27 3.52 1.59 4.7.06.053.111.116.162.178q.038.046.078.092h2.58v-2.592L9.672 9.581l.707-.707 1.627 1.626 1.616-1.616.707.707-1.829 1.83V14h2.57q.05-.052.098-.109",
    clipRule: "evenodd"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "EmojiObjectsOutlined_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h24v24H0z"
  })))));
};

exports.ReactComponent = SvgEmojiObjectsOutlined;
